# Uses of Class
com.ngrok.definitions.EndpointOAuthGoogle

Packages that use EndpointOAuthGoogle
Package
Description
com.ngrok.definitions

- ## Uses of EndpointOAuthGoogle in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointOAuthGoogle
  Modifier and Type
  Method
  Description
  `EndpointOAuthGoogle`
  EndpointOAuthGoogle.Builder.`build()`
  Constructs the `EndpointOAuthGoogle` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EndpointOAuthGoogle
  Modifier and Type
  Method
  Description
  `Optional<EndpointOAuthGoogle>`
  EndpointOAuthProvider.`getGoogle()`
  configuration for using google as the identity provider
  Methods in com.ngrok.definitions with parameters of type EndpointOAuthGoogle
  Modifier and Type
  Method
  Description
  `EndpointOAuthProvider.Builder`
  EndpointOAuthProvider.Builder.`google(EndpointOAuthGoogle google)`
  configuration for using google as the identity provider
  Method parameters in com.ngrok.definitions with type arguments of type EndpointOAuthGoogle
  Modifier and Type
  Method
  Description
  `EndpointOAuthProvider.Builder`
  EndpointOAuthProvider.Builder.`google(Optional<EndpointOAuthGoogle> google)`
  configuration for using google as the identity provider